
// adds some extra classes 
// "bg-lightstyles-<success>" 
// "border-lightstyles-<success>" 
// "text-lightstyles-<success>" 
// to style elements with similar colours to alerts

@each $state, $value in $theme-colors {
	$alert-background: shift-color($value, $alert-bg-scale);
	$alert-border: shift-color($value, $alert-border-scale);
	$alert-color: shift-color($value, $alert-color-scale);
  
	@if (contrast-ratio($alert-background, $alert-color) < $min-contrast-ratio) {
	  $alert-color: mix($value, color-contrast($alert-background), abs($alert-color-scale));
	}
	.bg-lightstyles-#{$state} {
	  background-color: $alert-background ! important;
	}
	.text-lightstyles-#{$state} {
		color: $alert-color ! important;
		a
		{
			color: $alert-color ! important;
		}
	}
	.border-lightstyles-#{$state} {
		border-color: $alert-border ! important;
	}
  }
